Bug 258523 - devel/libhash: Deprecate and set expiration date to 2021-12-31
Summary: devel/libhash: Deprecate and set expiration date to 2021-12-31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-15 21:11 UTC by Daniel Engberg
Modified: 2021-09-17 14:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments
Patch for libhash (385 bytes, patch)
2021-09-15 21:11 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-09-15 21:11:40 UTC
Created attachment 227927 [details]
Patch for libhash

Abandoned by upstream in 2006
No users and removed in pretty much all other package repositories

Reference:
https://repology.org/project/libhash/versions
Comment 1 Rodrigo Osorio freebsd_committer 2021-09-17 14:36:05 UTC
Hi Daniel,

Thanks for the headsup, you are right we can
deprecate this port and free some space for
new ones.

Cheers,
-- rodrigo
Comment 2 commit-hook freebsd_committer 2021-09-17 14:36:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0aac483fb511bb132fd4bb6a787f6038499b4e0e

commit 0aac483fb511bb132fd4bb6a787f6038499b4e0e
Author:     Rodrigo Osorio <rodrigo@FreeBSD.org>
AuthorDate: 2021-09-17 14:31:03 +0000
Commit:     Rodrigo Osorio <rodrigo@FreeBSD.org>
CommitDate: 2021-09-17 14:35:21 +0000

    devel/libhash: Deprecate and set expiration date to 2021-12-31

    Abandoned by upstream in 2006
    No users and removed in pretty much all other package repositories
    No dependency in FreeBSD ports

    Reference:
    https://repology.org/project/libhash/versions

    PR:             258523
    Reported by:    diizzy

    (cherry picked from commit bcccec1adcc7696fd83881ce0e650e74deacf62d)

 devel/libhash/Makefile | 3 +++
 1 file changed, 3 insertions(+)